%define	pdir	Text
%define	pnam	Iconv
%define name	perl-%pdir-%pnam
%define version 1.2
%define release 6mdk

Summary:	Text::Iconv perl module
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.bz2
BuildRequires:	perl-devel >= 5.6.1
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Url: http://www.cpan.org

%description
This module provides a Perl interface to the iconv() codeset
conversion function, as defined by the Single UNIX Specification. For
more details see the POD documentation embedded in the file Iconv.pm,
which will also be installed as Text::Iconv(3) man page.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%{__rm} -rf $RPM_BUILD_ROOT

%makeinstall_std

%{__rm} -f $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README
%dir %{perl_vendorarch}/Text
%{perl_vendorarch}/Text/Iconv.pm
%dir %{perl_vendorarch}/auto/Text
%dir %{perl_vendorarch}/auto/Text/Iconv
%{perl_vendorarch}/auto/Text/Iconv/autosplit.ix
%{perl_vendorarch}/auto/Text/Iconv/*.so
%{_mandir}/man3/*

%changelog
* Thu Aug 14 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.2-6mdk
- Fix dir owners

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 1.2-5mdk
- Use %%makeinstall_std now that it works on klama

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 1.2-4mdk
- Macroize
- use %%make and %%makeinstall
- man path
- perllocal.pod

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2-3mdk
- rebuild for new auto{prov,req}

* Fri Dec 27 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.2-2mdk
- rebuild for rpm and glibc

* Thu Aug 29 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.2-1mdk
- 1st mdk release from pld
